package hw.tagApi.service.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Map;

/**
 * API请求内容对象
 *
 * @author Yinq
 * @date 2025-04-15
 */
public class ApiContent {
    
    /** 字段集合 */
    @JsonProperty("fields")
    private Map<String, Object> fields;
    
    /** 记录ID */
    @JsonProperty("id")
    private String id;

    public Map<String, Object> getFields() {
        return fields;
    }

    public void setFields(Map<String, Object> fields) {
        this.fields = fields;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "ApiContent{" +
                "fields=" + fields +
                ", id='" + id + '\'' +
                '}';
    }
} 